## org.apache.mahout.vectorizer.encoders
Class CachingTextValueEncoder

    java.lang.Object
      org.apache.mahout.vectorizer.encoders.FeatureVectorEncoder
          org.apache.mahout.vectorizer.encoders.TextValueEncoder
              org.apache.mahout.vectorizer.encoders.CachingTextValueEncoder

    public class CachingTextValueEncoder

extends TextValueEncoder

Field Summary

Fields inherited from class org.apache.mahout.vectorizer.encoders.FeatureVectorEncoder
`CONTINUOUS_VALUE_HASH_SEED, WORD_LIKE_VALUE_HASH_SEED`

Constructor Summary
`CachingTextValueEncoder(String name, int dataSize)`

Method Summary

Methods inherited from class org.apache.mahout.vectorizer.encoders.TextValueEncoder
`addText, addText, addToVector, asString, flush, hashesForProbe, hashForProbe, setWordEncoder, tokenize`

Methods inherited from class org.apache.mahout.vectorizer.encoders.FeatureVectorEncoder
`addToVector, addToVector, addToVector, bytesForString, getName, getProbes, getWeight, hash, hash, hash, hash, hash, isTraceEnabled, setProbes, setTraceDictionary, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingTextValueEncoder

    public CachingTextValueEncoder(String name,
                                   int dataSize)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.